bitel.billing.server.card.bean

## Class CardSeries

- java.lang.Object
- - bitel.billing.server.card.bean.CardSeries

-     public class CardSeries
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CardSeries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractPatternId()`
    `java.lang.String` | `getContractPatternTitle()`
    `java.util.Calendar` | `getDate1()`
    `java.util.Calendar` | `getDate2()`
    `int` | `getFreeCard()`
    `int` | `getId()`
    `int` | `getPaymentTypeId()`
    `java.lang.String` | `getPaymentTypeTitle()`
    `int` | `getServiceActivate()`
    `java.lang.String` | `getServiceActivateTitle()`
    `int` | `getServiceBalance()`
    `java.lang.String` | `getServiceBalanceTitle()`
    `float` | `getSumm()`
    `java.lang.String` | `getTitle()`
    `void` | `setContractPatternId(int contractPatternId)`
    `void` | `setContractPatternTitle(java.lang.String contractPatternTitle)`
    `void` | `setDate1(java.util.Calendar date1)`
    `void` | `setDate2(java.util.Calendar date2)`
    `void` | `setFreeCard(int freeCard)`
    `void` | `setId(int id)`
    `void` | `setPaymentTypeId(int paymentTypeId)`
    `void` | `setPaymentTypeTitle(java.lang.String paymentTypeTitle)`
    `void` | `setServiceActivate(int serviceActivate)`
    `void` | `setServiceActivateTitle(java.lang.String serviceActivateTitle)`
    `void` | `setServiceBalance(int serviceBalance)`
    `void` | `setServiceBalanceTitle(java.lang.String serviceBalanceTitle)`
    `void` | `setSumm(float summ)`
    `void` | `setTitle(java.lang.String title)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CardSeries

          public CardSeries()

  - ### Method Detail

    - #### getFreeCard

          public int getFreeCard()

    - #### setFreeCard

          public void setFreeCard(int freeCard)

    - #### getContractPatternId

          public int getContractPatternId()

    - #### setContractPatternId

          public void setContractPatternId(int contractPatternId)

    - #### getDate1

          public java.util.Calendar getDate1()

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

    - #### getDate2

          public java.util.Calendar getDate2()

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getPaymentTypeId

          public int getPaymentTypeId()

    - #### setPaymentTypeId

          public void setPaymentTypeId(int paymentTypeId)

    - #### getServiceActivate

          public int getServiceActivate()

    - #### setServiceActivate

          public void setServiceActivate(int serviceActivate)

    - #### getServiceBalance

          public int getServiceBalance()

    - #### setServiceBalance

          public void setServiceBalance(int serviceBalance)

    - #### getSumm

          public float getSumm()

    - #### setSumm

          public void setSumm(float summ)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getContractPatternTitle

          public java.lang.String getContractPatternTitle()

    - #### setContractPatternTitle

          public void setContractPatternTitle(java.lang.String contractPatternTitle)

    - #### getPaymentTypeTitle

          public java.lang.String getPaymentTypeTitle()

    - #### setPaymentTypeTitle

          public void setPaymentTypeTitle(java.lang.String paymentTypeTitle)

    - #### getServiceActivateTitle

          public java.lang.String getServiceActivateTitle()

    - #### setServiceActivateTitle

          public void setServiceActivateTitle(java.lang.String serviceActivateTitle)

    - #### getServiceBalanceTitle

          public java.lang.String getServiceBalanceTitle()

    - #### setServiceBalanceTitle

          public void setServiceBalanceTitle(java.lang.String serviceBalanceTitle)